=== debian/changelog ===
ros-noetic-jsk-tools (2.2.12-1buster) buster; urgency=high

  * [jsk_tools] change default ROS_MASTER_URI of rossetmaster to localhost (#1729 <https://github.com/jsk-ros-pkg/jsk_common/issues/1729>)
  * Add test for topic connection test after killing nodes (#1725 <https://github.com/jsk-ros-pkg/jsk_common/issues/1725>)
    
      * [jsk_tools] Add comment for avoiding rospy.exceptions.ROSTimeMovedBackwardsException
      * [jsk_tools] Fixed E713 error for membership should be "not in"
      * Add not received topic infos
      * [jsk_tools] Add test for namespace
      * [jsk_tools] Add test for topic connection test after killing nodes
      * [jsk_tools] Add check_after_kill_node option for checking topic connection after killing nodes
    
  * [jsk_tools] Add node to publish diagnostics based on topic and node status (#1727 <https://github.com/jsk-ros-pkg/jsk_common/issues/1727>)
    
      * [jsk_tools] Set longer timeout for sanity_diagnostics test
      * [jsk_tools] Fix test name for sanity_diagnostics
      * [jsk_tools] Install sample directory
      * [jsk_tools] Set longer timeout for low frequency topics
      * [jsk_tools] Unregister subscriber at the end of checkTopicIsPublished to reduce CPU load
      * [jsk_tools] Do not check topic type until the first topic comes in
      * [jsk_tools] Use topic name as default value
      * [jsk_tools] Fix typo
      * [jsk_tools] Add test for sanity_diagnostics
      * [jsk_tools] Add sample for sanity_diagnostics
      * [jsk_tools] Add diagnostic dependency
      * [jsk_tools] Add node to publish /diagnostics based on topic and node status
      * [jsk_tools] Return value of checkNodeState
    
  * [jsk_tools] use python3-progressbar and python3-rosdep for noetic (#1722 <https://github.com/jsk-ros-pkg/jsk_common/issues/1722>)
  * jsk_tools: add python3-tabulate to exec_depends (#1721 <https://github.com/jsk-ros-pkg/jsk_common/issues/1721>)
  * add test code to check #1715 <https://github.com/jsk-ros-pkg/jsk_common/issues/1715> (#1717 <https://github.com/jsk-ros-pkg/jsk_common/issues/1717>)
    
      * kinetic rostopic._rostopic_list_groyp_by_host did not work correctly
      * use rostopic.get_topic_list instead of master.getSystemState
    https://github.com/ros/ros_comm/commit/e96c407c64e1c17b0dd2bb85b67f388380527097#diff-21f05efee85a56a5b34825bb4fcfb53db99e38304206ddad7d50d6d4881696b2L1207
    changes
    ```
    -        state = master.getSystemState()
    +        pubs, subs, _ = state
    +        pubs, subs = get_topic_list(master=master)
    ```
    * add test to check rostopic_host_sanity
  * use raw_input for python2 c.f. (#1695 <https://github.com/jsk-ros-pkg/jsk_common/issues/1695>)
    
      * run 2to3 -w -f has_key for python3 compatibility
    
  * [jsk_topic_tools/master_util.py] add default args to isMasterAlivef( #1684 <https://github.com/jsk-ros-pkg/jsk_common/issues/1684>)
    
      * [jsk_tools, jsk_topic_tools] fix urlparse import for python3
    
  * Contributors: Shimpei Sato, Iori Yanokura, Kei Okada, Koki Shinjo, Naoki Hiraoka, Naoya Yamaguchi, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jun 2022 15:00:00 -0000

ros-noetic-jsk-tools (2.2.11-1buster) buster; urgency=high

  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * jsk_tools: fix for python3
      * pytho3 dislike d in regrex, src/test_topic_published.py:50:37: W605 invalid escape sequence 'd'
      * python3 need to use a in dict, instead of dict.has_key(a)
      * fix print(), Exception as e for python3
      * migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
      * upgrade package.xml to format=3
    
  * fix failure on finally clause (#1645 <https://github.com/jsk-ros-pkg/jsk_common/issues/1645>)
  * Add debian in generate_deb_status_table.pyf( #1633 <https://github.com/jsk-ros-pkg/jsk_common/issues/1633>)
  * write comment on how to generate deb status section. (#1631 <https://github.com/jsk-ros-pkg/jsk_common/issues/1631>)
    
      * remove --rosdistro-from and --rosdistro-to, get current active rosdistro list from index file
      * write comment on how to generate deb status section.  https://stackoverflow.com/questions/4823468/comments-in-markdown
    
  * [jsk_tools] Add --ping-trials option to roscore_regardless.py (#1632 <https://github.com/jsk-ros-pkg/jsk_common/issues/1632>)
    
      * Sometimes ping is not stable. --ping-trials option enables roscore_regardless.py to verify host computer of rosmaster is alive by multi-times ping commands.
    
  * [jsk_tools] Show voltage in battery_capacity_summary.py (#1628 <https://github.com/jsk-ros-pkg/jsk_common/issues/1628>)
    
      * Fix output format in battery_capacity_summary.py
      * Show voltage as well in battery_capacity_summary.py
      * Show unit of full/remaining capacity in battery_capacity_summary.py
    
  * [jsk_tools/roscore_regardless.py] Do not send SIGTERM before roslaunch sends SIGTERMf( #1627 <https://github.com/jsk-ros-pkg/jsk_common/issues/1627>)
    
      * Add option to change timeout duration to escalate signals
    
  * [jsk_tools] Add --timeout option to roscore_regardless.py ( #1622 <https://github.com/jsk-ros-pkg/jsk_common/issues/1622>)
    
      * Add --timeout option to change timeout duration of ping command towards rosmaster computer.
      * --timeout option defaults to 10 seconds.
    
  * battery_capacity_summary.py: fix order of columns (#1619 <https://github.com/jsk-ros-pkg/jsk_common/issues/1619>)
  * Contributors: Yuki Furuta, Kei Okada, Ryohei Ueda, Shingo Kitagawa, Yuto Uchimi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Jul 2020 15:00:00 -0000

ros-noetic-jsk-tools (2.2.10-1buster) buster; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 15:00:00 -0000

ros-noetic-jsk-tools (2.2.9-1buster) buster; urgency=high




